OSDN Git Service

8619fd112efd9ec07244f8285dba3fd137ec4f14
[simplecms/utakata.git] / test / Makefile
1 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2 # test/Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17
18 pkgdatadir = $(datadir)/utakata
19 pkglibdir = $(libdir)/utakata
20 pkgincludedir = $(includedir)/utakata
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 bin_PROGRAMS = utf8_test$(EXEEXT) textarrayformat_test$(EXEEXT) \
34         utf8_string_test$(EXEEXT)
35 subdir = test
36 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
37 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
38 am__aclocal_m4_deps = $(top_srcdir)/configure.in
39 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
40         $(ACLOCAL_M4)
41 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
42 CONFIG_HEADER = $(top_builddir)/config.h
43 CONFIG_CLEAN_FILES =
44 am__installdirs = "$(DESTDIR)$(bindir)"
45 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
46 PROGRAMS = $(bin_PROGRAMS)
47 am_textarrayformat_test_OBJECTS = textarrayformat_test.$(OBJEXT) \
48         TextArrayFormat.$(OBJEXT) simpletest.$(OBJEXT)
49 textarrayformat_test_OBJECTS = $(am_textarrayformat_test_OBJECTS)
50 textarrayformat_test_LDADD = $(LDADD)
51 am_utf8_string_test_OBJECTS = utf8_string_test.$(OBJEXT) \
52         utf8_string.$(OBJEXT) simpletest.$(OBJEXT) utf8.$(OBJEXT)
53 utf8_string_test_OBJECTS = $(am_utf8_string_test_OBJECTS)
54 utf8_string_test_LDADD = $(LDADD)
55 am_utf8_test_OBJECTS = utf8_test.$(OBJEXT) utf8.$(OBJEXT) \
56         simpletest.$(OBJEXT)
57 utf8_test_OBJECTS = $(am_utf8_test_OBJECTS)
58 utf8_test_LDADD = $(LDADD)
59 DEFAULT_INCLUDES = -I. -I$(top_builddir)
60 depcomp = $(SHELL) $(top_srcdir)/depcomp
61 am__depfiles_maybe = depfiles
62 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
63         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
64 CXXLD = $(CXX)
65 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
66         -o $@
67 SOURCES = $(textarrayformat_test_SOURCES) $(utf8_string_test_SOURCES) \
68         $(utf8_test_SOURCES)
69 DIST_SOURCES = $(textarrayformat_test_SOURCES) \
70         $(utf8_string_test_SOURCES) $(utf8_test_SOURCES)
71 ETAGS = etags
72 CTAGS = ctags
73 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
74 ACLOCAL = ${SHELL} /home/derui/develop/sdl/missing --run aclocal-1.10
75 AMTAR = ${SHELL} /home/derui/develop/sdl/missing --run tar
76 AUTOCONF = ${SHELL} /home/derui/develop/sdl/missing --run autoconf
77 AUTOHEADER = ${SHELL} /home/derui/develop/sdl/missing --run autoheader
78 AUTOMAKE = ${SHELL} /home/derui/develop/sdl/missing --run automake-1.10
79 AWK = gawk
80 CC = gcc
81 CCDEPMODE = depmode=gcc3
82 CFLAGS = -g -O2
83 CPP = gcc -E
84 CPPFLAGS = 
85 CXX = g++
86 CXXDEPMODE = depmode=gcc3
87 CXXFLAGS = -g -O2
88 CYGPATH_W = echo
89 DEFS = -DHAVE_CONFIG_H
90 DEPDIR = .deps
91 ECHO_C = 
92 ECHO_N = -n
93 ECHO_T = 
94 EGREP = /bin/grep -E
95 EXEEXT = 
96 GREP = /bin/grep
97 INSTALL = /usr/bin/install -c
98 INSTALL_DATA = ${INSTALL} -m 644
99 INSTALL_PROGRAM = ${INSTALL}
100 INSTALL_SCRIPT = ${INSTALL}
101 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
102 LDFLAGS = 
103 LIBOBJS = 
104 LIBS = 
105 LTLIBOBJS = 
106 MAKEINFO = ${SHELL} /home/derui/develop/sdl/missing --run makeinfo
107 MKDIR_P = /bin/mkdir -p
108 OBJEXT = o
109 PACKAGE = utakata
110 PACKAGE_BUGREPORT = BUG-REPORT-ADDRESS
111 PACKAGE_NAME = utakata
112 PACKAGE_STRING = utakata 0.0.1
113 PACKAGE_TARNAME = utakata
114 PACKAGE_VERSION = 0.0.1
115 PATH_SEPARATOR = :
116 SET_MAKE = 
117 SHELL = /bin/sh
118 STRIP = 
119 VERSION = 0.0.1
120 abs_builddir = /home/derui/develop/sdl/test
121 abs_srcdir = /home/derui/develop/sdl/test
122 abs_top_builddir = /home/derui/develop/sdl
123 abs_top_srcdir = /home/derui/develop/sdl
124 ac_ct_CC = gcc
125 ac_ct_CXX = g++
126 am__include = include
127 am__leading_dot = .
128 am__quote = 
129 am__tar = ${AMTAR} chof - "$$tardir"
130 am__untar = ${AMTAR} xf -
131 bindir = ${exec_prefix}/bin
132 build_alias = 
133 builddir = .
134 datadir = ${datarootdir}
135 datarootdir = ${prefix}/share
136 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
137 dvidir = ${docdir}
138 exec_prefix = ${prefix}
139 host_alias = 
140 htmldir = ${docdir}
141 includedir = ${prefix}/include
142 infodir = ${datarootdir}/info
143 install_sh = $(SHELL) /home/derui/develop/sdl/install-sh
144 libdir = ${exec_prefix}/lib
145 libexecdir = ${exec_prefix}/libexec
146 localedir = ${datarootdir}/locale
147 localstatedir = ${prefix}/var
148 mandir = ${datarootdir}/man
149 mkdir_p = /bin/mkdir -p
150 oldincludedir = /usr/include
151 pdfdir = ${docdir}
152 prefix = /usr/local
153 program_transform_name = s,x,x,
154 psdir = ${docdir}
155 sbindir = ${exec_prefix}/sbin
156 sharedstatedir = ${prefix}/com
157 srcdir = .
158 sysconfdir = ${prefix}/etc
159 target_alias = 
160 top_build_prefix = ../
161 top_builddir = ..
162 top_srcdir = ..
163 INCLUDES = -l$(top_srcdir)
164 utf8_string_test_SOURCES = utf8_string_test.cpp ../utf8_string.cpp ../simpletest.cpp ../utf8.cpp
165 utf8_test_SOURCES = utf8_test.cpp ../utf8.cpp ../simpletest.cpp
166 textarrayformat_test_SOURCES = textarrayformat_test.cpp ../TextArrayFormat.cpp ../simpletest.cpp
167 check_PROGRANS = $(bin_PROGRAMS)
168 TESTS = $(bin_PROGRAMS)
169 all: all-am
170
171 .SUFFIXES:
172 .SUFFIXES: .cpp .o .obj
173 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
174         @for dep in $?; do \
175           case '$(am__configure_deps)' in \
176             *$$dep*) \
177               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
178                 && { if test -f $@; then exit 0; else break; fi; }; \
179               exit 1;; \
180           esac; \
181         done; \
182         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  test/Makefile'; \
183         cd $(top_srcdir) && \
184           $(AUTOMAKE) --gnu  test/Makefile
185 .PRECIOUS: Makefile
186 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
187         @case '$?' in \
188           *config.status*) \
189             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
190           *) \
191             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
192             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
193         esac;
194
195 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
196         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
197
198 $(top_srcdir)/configure:  $(am__configure_deps)
199         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
200 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
201         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
202 install-binPROGRAMS: $(bin_PROGRAMS)
203         @$(NORMAL_INSTALL)
204         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
205         @list='$(bin_PROGRAMS)'; for p in $$list; do \
206           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
207           if test -f $$p \
208           ; then \
209             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
210            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
211            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
212           else :; fi; \
213         done
214
215 uninstall-binPROGRAMS:
216         @$(NORMAL_UNINSTALL)
217         @list='$(bin_PROGRAMS)'; for p in $$list; do \
218           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
219           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
220           rm -f "$(DESTDIR)$(bindir)/$$f"; \
221         done
222
223 clean-binPROGRAMS:
224         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
225 textarrayformat_test$(EXEEXT): $(textarrayformat_test_OBJECTS) $(textarrayformat_test_DEPENDENCIES) 
226         @rm -f textarrayformat_test$(EXEEXT)
227         $(CXXLINK) $(textarrayformat_test_OBJECTS) $(textarrayformat_test_LDADD) $(LIBS)
228 utf8_string_test$(EXEEXT): $(utf8_string_test_OBJECTS) $(utf8_string_test_DEPENDENCIES) 
229         @rm -f utf8_string_test$(EXEEXT)
230         $(CXXLINK) $(utf8_string_test_OBJECTS) $(utf8_string_test_LDADD) $(LIBS)
231 utf8_test$(EXEEXT): $(utf8_test_OBJECTS) $(utf8_test_DEPENDENCIES) 
232         @rm -f utf8_test$(EXEEXT)
233         $(CXXLINK) $(utf8_test_OBJECTS) $(utf8_test_LDADD) $(LIBS)
234
235 mostlyclean-compile:
236         -rm -f *.$(OBJEXT)
237
238 distclean-compile:
239         -rm -f *.tab.c
240
241 include ./$(DEPDIR)/TextArrayFormat.Po
242 include ./$(DEPDIR)/simpletest.Po
243 include ./$(DEPDIR)/textarrayformat_test.Po
244 include ./$(DEPDIR)/utf8.Po
245 include ./$(DEPDIR)/utf8_string.Po
246 include ./$(DEPDIR)/utf8_string_test.Po
247 include ./$(DEPDIR)/utf8_test.Po
248
249 .cpp.o:
250         $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
251         mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
252 #       source='$<' object='$@' libtool=no \
253 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
254 #       $(CXXCOMPILE) -c -o $@ $<
255
256 .cpp.obj:
257         $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
258         mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
259 #       source='$<' object='$@' libtool=no \
260 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
261 #       $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
262
263 TextArrayFormat.o: ../TextArrayFormat.cpp
264         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT TextArrayFormat.o -MD -MP -MF $(DEPDIR)/TextArrayFormat.Tpo -c -o TextArrayFormat.o `test -f '../TextArrayFormat.cpp' || echo '$(srcdir)/'`../TextArrayFormat.cpp
265         mv -f $(DEPDIR)/TextArrayFormat.Tpo $(DEPDIR)/TextArrayFormat.Po
266 #       source='../TextArrayFormat.cpp' object='TextArrayFormat.o' libtool=no \
267 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
268 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o TextArrayFormat.o `test -f '../TextArrayFormat.cpp' || echo '$(srcdir)/'`../TextArrayFormat.cpp
269
270 TextArrayFormat.obj: ../TextArrayFormat.cpp
271         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT TextArrayFormat.obj -MD -MP -MF $(DEPDIR)/TextArrayFormat.Tpo -c -o TextArrayFormat.obj `if test -f '../TextArrayFormat.cpp'; then $(CYGPATH_W) '../TextArrayFormat.cpp'; else $(CYGPATH_W) '$(srcdir)/../TextArrayFormat.cpp'; fi`
272         mv -f $(DEPDIR)/TextArrayFormat.Tpo $(DEPDIR)/TextArrayFormat.Po
273 #       source='../TextArrayFormat.cpp' object='TextArrayFormat.obj' libtool=no \
274 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
275 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o TextArrayFormat.obj `if test -f '../TextArrayFormat.cpp'; then $(CYGPATH_W) '../TextArrayFormat.cpp'; else $(CYGPATH_W) '$(srcdir)/../TextArrayFormat.cpp'; fi`
276
277 simpletest.o: ../simpletest.cpp
278         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT simpletest.o -MD -MP -MF $(DEPDIR)/simpletest.Tpo -c -o simpletest.o `test -f '../simpletest.cpp' || echo '$(srcdir)/'`../simpletest.cpp
279         mv -f $(DEPDIR)/simpletest.Tpo $(DEPDIR)/simpletest.Po
280 #       source='../simpletest.cpp' object='simpletest.o' libtool=no \
281 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
282 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o simpletest.o `test -f '../simpletest.cpp' || echo '$(srcdir)/'`../simpletest.cpp
283
284 simpletest.obj: ../simpletest.cpp
285         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT simpletest.obj -MD -MP -MF $(DEPDIR)/simpletest.Tpo -c -o simpletest.obj `if test -f '../simpletest.cpp'; then $(CYGPATH_W) '../simpletest.cpp'; else $(CYGPATH_W) '$(srcdir)/../simpletest.cpp'; fi`
286         mv -f $(DEPDIR)/simpletest.Tpo $(DEPDIR)/simpletest.Po
287 #       source='../simpletest.cpp' object='simpletest.obj' libtool=no \
288 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
289 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o simpletest.obj `if test -f '../simpletest.cpp'; then $(CYGPATH_W) '../simpletest.cpp'; else $(CYGPATH_W) '$(srcdir)/../simpletest.cpp'; fi`
290
291 utf8_string.o: ../utf8_string.cpp
292         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT utf8_string.o -MD -MP -MF $(DEPDIR)/utf8_string.Tpo -c -o utf8_string.o `test -f '../utf8_string.cpp' || echo '$(srcdir)/'`../utf8_string.cpp
293         mv -f $(DEPDIR)/utf8_string.Tpo $(DEPDIR)/utf8_string.Po
294 #       source='../utf8_string.cpp' object='utf8_string.o' libtool=no \
295 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
296 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o utf8_string.o `test -f '../utf8_string.cpp' || echo '$(srcdir)/'`../utf8_string.cpp
297
298 utf8_string.obj: ../utf8_string.cpp
299         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT utf8_string.obj -MD -MP -MF $(DEPDIR)/utf8_string.Tpo -c -o utf8_string.obj `if test -f '../utf8_string.cpp'; then $(CYGPATH_W) '../utf8_string.cpp'; else $(CYGPATH_W) '$(srcdir)/../utf8_string.cpp'; fi`
300         mv -f $(DEPDIR)/utf8_string.Tpo $(DEPDIR)/utf8_string.Po
301 #       source='../utf8_string.cpp' object='utf8_string.obj' libtool=no \
302 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
303 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o utf8_string.obj `if test -f '../utf8_string.cpp'; then $(CYGPATH_W) '../utf8_string.cpp'; else $(CYGPATH_W) '$(srcdir)/../utf8_string.cpp'; fi`
304
305 utf8.o: ../utf8.cpp
306         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT utf8.o -MD -MP -MF $(DEPDIR)/utf8.Tpo -c -o utf8.o `test -f '../utf8.cpp' || echo '$(srcdir)/'`../utf8.cpp
307         mv -f $(DEPDIR)/utf8.Tpo $(DEPDIR)/utf8.Po
308 #       source='../utf8.cpp' object='utf8.o' libtool=no \
309 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
310 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o utf8.o `test -f '../utf8.cpp' || echo '$(srcdir)/'`../utf8.cpp
311
312 utf8.obj: ../utf8.cpp
313         $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT utf8.obj -MD -MP -MF $(DEPDIR)/utf8.Tpo -c -o utf8.obj `if test -f '../utf8.cpp'; then $(CYGPATH_W) '../utf8.cpp'; else $(CYGPATH_W) '$(srcdir)/../utf8.cpp'; fi`
314         mv -f $(DEPDIR)/utf8.Tpo $(DEPDIR)/utf8.Po
315 #       source='../utf8.cpp' object='utf8.obj' libtool=no \
316 #       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
317 #       $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o utf8.obj `if test -f '../utf8.cpp'; then $(CYGPATH_W) '../utf8.cpp'; else $(CYGPATH_W) '$(srcdir)/../utf8.cpp'; fi`
318
319 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
320         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
321         unique=`for i in $$list; do \
322             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
323           done | \
324           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
325               END { if (nonempty) { for (i in files) print i; }; }'`; \
326         mkid -fID $$unique
327 tags: TAGS
328
329 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
330                 $(TAGS_FILES) $(LISP)
331         tags=; \
332         here=`pwd`; \
333         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
334         unique=`for i in $$list; do \
335             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
336           done | \
337           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
338               END { if (nonempty) { for (i in files) print i; }; }'`; \
339         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
340           test -n "$$unique" || unique=$$empty_fix; \
341           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
342             $$tags $$unique; \
343         fi
344 ctags: CTAGS
345 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
346                 $(TAGS_FILES) $(LISP)
347         tags=; \
348         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
349         unique=`for i in $$list; do \
350             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
351           done | \
352           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
353               END { if (nonempty) { for (i in files) print i; }; }'`; \
354         test -z "$(CTAGS_ARGS)$$tags$$unique" \
355           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
356              $$tags $$unique
357
358 GTAGS:
359         here=`$(am__cd) $(top_builddir) && pwd` \
360           && cd $(top_srcdir) \
361           && gtags -i $(GTAGS_ARGS) $$here
362
363 distclean-tags:
364         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
365
366 check-TESTS: $(TESTS)
367         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
368         srcdir=$(srcdir); export srcdir; \
369         list=' $(TESTS) '; \
370         if test -n "$$list"; then \
371           for tst in $$list; do \
372             if test -f ./$$tst; then dir=./; \
373             elif test -f $$tst; then dir=; \
374             else dir="$(srcdir)/"; fi; \
375             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
376               all=`expr $$all + 1`; \
377               case " $(XFAIL_TESTS) " in \
378               *[\ \     ]$$tst[\ \      ]*) \
379                 xpass=`expr $$xpass + 1`; \
380                 failed=`expr $$failed + 1`; \
381                 echo "XPASS: $$tst"; \
382               ;; \
383               *) \
384                 echo "PASS: $$tst"; \
385               ;; \
386               esac; \
387             elif test $$? -ne 77; then \
388               all=`expr $$all + 1`; \
389               case " $(XFAIL_TESTS) " in \
390               *[\ \     ]$$tst[\ \      ]*) \
391                 xfail=`expr $$xfail + 1`; \
392                 echo "XFAIL: $$tst"; \
393               ;; \
394               *) \
395                 failed=`expr $$failed + 1`; \
396                 echo "FAIL: $$tst"; \
397               ;; \
398               esac; \
399             else \
400               skip=`expr $$skip + 1`; \
401               echo "SKIP: $$tst"; \
402             fi; \
403           done; \
404           if test "$$all" -eq 1; then \
405             tests="test"; \
406             All=""; \
407           else \
408             tests="tests"; \
409             All="All "; \
410           fi; \
411           if test "$$failed" -eq 0; then \
412             if test "$$xfail" -eq 0; then \
413               banner="$$All$$all $$tests passed"; \
414             else \
415               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
416               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
417             fi; \
418           else \
419             if test "$$xpass" -eq 0; then \
420               banner="$$failed of $$all $$tests failed"; \
421             else \
422               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
423               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
424             fi; \
425           fi; \
426           dashes="$$banner"; \
427           skipped=""; \
428           if test "$$skip" -ne 0; then \
429             if test "$$skip" -eq 1; then \
430               skipped="($$skip test was not run)"; \
431             else \
432               skipped="($$skip tests were not run)"; \
433             fi; \
434             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
435               dashes="$$skipped"; \
436           fi; \
437           report=""; \
438           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
439             report="Please report to $(PACKAGE_BUGREPORT)"; \
440             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
441               dashes="$$report"; \
442           fi; \
443           dashes=`echo "$$dashes" | sed s/./=/g`; \
444           echo "$$dashes"; \
445           echo "$$banner"; \
446           test -z "$$skipped" || echo "$$skipped"; \
447           test -z "$$report" || echo "$$report"; \
448           echo "$$dashes"; \
449           test "$$failed" -eq 0; \
450         else :; fi
451
452 distdir: $(DISTFILES)
453         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
454         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
455         list='$(DISTFILES)'; \
456           dist_files=`for file in $$list; do echo $$file; done | \
457           sed -e "s|^$$srcdirstrip/||;t" \
458               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
459         case $$dist_files in \
460           */*) $(MKDIR_P) `echo "$$dist_files" | \
461                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
462                            sort -u` ;; \
463         esac; \
464         for file in $$dist_files; do \
465           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
466           if test -d $$d/$$file; then \
467             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
468             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
469               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
470             fi; \
471             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
472           else \
473             test -f $(distdir)/$$file \
474             || cp -p $$d/$$file $(distdir)/$$file \
475             || exit 1; \
476           fi; \
477         done
478 check-am: all-am
479         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
480 check: check-am
481 all-am: Makefile $(PROGRAMS)
482 installdirs:
483         for dir in "$(DESTDIR)$(bindir)"; do \
484           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
485         done
486 install: install-am
487 install-exec: install-exec-am
488 install-data: install-data-am
489 uninstall: uninstall-am
490
491 install-am: all-am
492         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
493
494 installcheck: installcheck-am
495 install-strip:
496         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
497           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
498           `test -z '$(STRIP)' || \
499             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
500 mostlyclean-generic:
501
502 clean-generic:
503
504 distclean-generic:
505         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
506
507 maintainer-clean-generic:
508         @echo "This command is intended for maintainers to use"
509         @echo "it deletes files that may require special tools to rebuild."
510 clean: clean-am
511
512 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
513
514 distclean: distclean-am
515         -rm -rf ./$(DEPDIR)
516         -rm -f Makefile
517 distclean-am: clean-am distclean-compile distclean-generic \
518         distclean-tags
519
520 dvi: dvi-am
521
522 dvi-am:
523
524 html: html-am
525
526 info: info-am
527
528 info-am:
529
530 install-data-am:
531
532 install-dvi: install-dvi-am
533
534 install-exec-am: install-binPROGRAMS
535
536 install-html: install-html-am
537
538 install-info: install-info-am
539
540 install-man:
541
542 install-pdf: install-pdf-am
543
544 install-ps: install-ps-am
545
546 installcheck-am:
547
548 maintainer-clean: maintainer-clean-am
549         -rm -rf ./$(DEPDIR)
550         -rm -f Makefile
551 maintainer-clean-am: distclean-am maintainer-clean-generic
552
553 mostlyclean: mostlyclean-am
554
555 mostlyclean-am: mostlyclean-compile mostlyclean-generic
556
557 pdf: pdf-am
558
559 pdf-am:
560
561 ps: ps-am
562
563 ps-am:
564
565 uninstall-am: uninstall-binPROGRAMS
566
567 .MAKE: install-am install-strip
568
569 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
570         clean-binPROGRAMS clean-generic ctags distclean \
571         distclean-compile distclean-generic distclean-tags distdir dvi \
572         dvi-am html html-am info info-am install install-am \
573         install-binPROGRAMS install-data install-data-am install-dvi \
574         install-dvi-am install-exec install-exec-am install-html \
575         install-html-am install-info install-info-am install-man \
576         install-pdf install-pdf-am install-ps install-ps-am \
577         install-strip installcheck installcheck-am installdirs \
578         maintainer-clean maintainer-clean-generic mostlyclean \
579         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
580         tags uninstall uninstall-am uninstall-binPROGRAMS
581
582 # Tell versions [3.59,3.63) of GNU make to not export all variables.
583 # Otherwise a system limit (for SysV at least) may be exceeded.
584 .NOEXPORT: